Runtime

## org.eclipse.gmf.runtime.diagram.ui.editpolicies
Class ListItemComponentEditPolicy

    java.lang.Object
      org.eclipse.gef.editpolicies.AbstractEditPolicy
          org.eclipse.gef.editpolicies.ComponentEditPolicy
              org.eclipse.gmf.runtime.diagram.ui.editpolicies.ComponentEditPolicy
                  org.eclipse.gmf.runtime.diagram.ui.editpolicies.ListItemComponentEditPolicy

All Implemented Interfaces:
  EditPolicy, RequestConstants

public class ListItemComponentEditPolicy
extends ComponentEditPolicy

EditPolicy to be installed on `ListItemEditPart`. This editpolicy will delete the selected element.

Field Summary

Fields inherited from interface org.eclipse.gef.EditPolicy
`COMPONENT_ROLE, CONNECTION_BENDPOINTS_ROLE, CONNECTION_ENDPOINTS_ROLE, CONNECTION_ROLE, CONTAINER_ROLE, DIRECT_EDIT_ROLE, GRAPHICAL_NODE_ROLE, LAYOUT_ROLE, NODE_ROLE, PRIMARY_DRAG_ROLE, SELECTION_FEEDBACK_ROLE, TREE_CONTAINER_ROLE`

Fields inherited from interface org.eclipse.gef.RequestConstants
`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

Constructor Summary
`ListItemComponentEditPolicy()`

Method Summary
`protected IInsertableEditPart` `getInsertableEditPart()` getInsertableEditPart Returns the EditPart that can be recipient of the default insert command.
`protected View` `getView()` Returns the view element to be deleted.

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.editpolicies.ComponentEditPolicy
`createDeleteCommand, createDeleteSemanticCommand, createDeleteViewCommand, getCommand, getInsertCommand, shouldDeleteSemantic`

Methods inherited from class org.eclipse.gef.editpolicies.ComponentEditPolicy
`getDeleteCommand, getOrphanCommand`

Methods inherited from class org.eclipse.gef.editpolicies.AbstractEditPolicy
`activate, deactivate, debugFeedback, eraseSourceFeedback, eraseTargetFeedback, getHost, getTargetEditPart, setHost, showSourceFeedback, showTargetFeedback, toString, understandsRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ListItemComponentEditPolicy

    public ListItemComponentEditPolicy()

Method Detail

### getView

    protected View getView()

  Returns the view element to be deleted.

  Overrides:
    `getView` in class `ComponentEditPolicy`
  Returns:
    the host's view element.

### getInsertableEditPart

    protected IInsertableEditPart getInsertableEditPart()

  Description copied from class: `ComponentEditPolicy`
  getInsertableEditPart Returns the EditPart that can be recipient of the default insert command.

  Overrides:
    `getInsertableEditPart` in class `ComponentEditPolicy`
  Returns:
    IInsertableEditPart

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.